## basilisk2 0.9.20030722

=== Makefile ===
# Makefile for creating Basilisk II distributions
# Written in 2002 by Christian Bauer <Christian.Bauer@uni-mainz.de>

VERSION := $(shell sed <BasiliskII.spec -n '/^\%define version */s///p')
RELEASE := $(shell sed <BasiliskII.spec -n '/^\%define release */s///p')
VERNAME := BasiliskII-$(VERSION)

SRCARCHIVE := $(shell date +BasiliskII_src_%d%m%Y.tar.gz)
AMIGAARCHIVE := $(VERNAME)-$(RELEASE).amiga.lzh
BEOSPPCARCHIVE := $(VERNAME)-$(RELEASE).beosppc.zip
BEOSX86ARCHIVE := $(VERNAME)-$(RELEASE).beosx86.zip
MACOSXARCHIVE := $(VERNAME)-$(RELEASE).tar.gz

TMPDIR := $(shell date +/tmp/build%M%S)
ISODATE := $(shell date "+%Y-%m-%d %H:%M")
DOCS := $(shell sed <BasiliskII.spec -n '/^\%doc */s///p')
SRCS := src

default:
	@echo "This top-level Makefile is for creating Basilisk II distributions."
	@echo "If you want to install Basilisk II V$(VERSION) on your system, please follow"
	@echo "the instructions in the file INSTALL."
	@echo "If you want to create a Basilisk II V$(VERSION) distribution, type \"make help\""
	@echo "to get a list of possible targets."

help:
	@echo "The following targets are available:"
	@echo "  tarball  source tarball ($(SRCARCHIVE))"
	@echo "  rpm      source and binary RPMs"
	@echo "  amiga    AmigaOS binary archive ($(AMIGAARCHIVE))"
	@echo "  beosppc  BeOS/ppc binary archive ($(BEOSPPCARCHIVE))"
	@echo "  beosx86  BeOS/x86 binary archive ($(BEOSX86ARCHIVE))"
	@echo "  macosx   MacOS X binary archive ($(MACOSXARCHIVE))"

clean:
	-rm -f $(SRCARCHIVE)
	-rm -f $(AMIGAARCHIVE) $(BEOSPPCARCHIVE) $(BEOSX86ARCHIVE)

#
# Source tarball
#
tarball: $(SRCARCHIVE)

$(SRCARCHIVE): $(SRCS) $(DOCS)
	-rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	cd $(TMPDIR); cvs export -D "$(ISODATE)" BasiliskII
	cd $(TMPDIR)/BasiliskII/src/Unix; aclocal; autoheader; autoconf
	rm $(TMPDIR)/BasiliskII/Makefile
	mv $(TMPDIR)/BasiliskII $(TMPDIR)/$(VERNAME)
	cd $(TMPDIR); tar cfz $@ $(VERNAME)
	mv $(TMPDIR)/$@ .
	rm -rf $(TMPDIR)

#
# RPMs (source and binary)
#
rpm: $(SRCARCHIVE)
	rpm -ta --clean $(SRCARCHIVE)

#
# Binary archive for AmigaOS
#
amiga: $(AMIGAARCHIVE)

$(AMIGAARCHIVE): $(SRCS) $(DOCS) src/AmigaOS/BasiliskII
	-rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	mkdir $(TMPDIR)/$(VERNAME)
	cp $(DOCS) $(TMPDIR)/$(VERNAME)
	cp src/AmigaOS/BasiliskII $(TMPDIR)/$(VERNAME)
	cp src/AmigaOS/BasiliskII.info $(TMPDIR)/$(VERNAME)
	chmod 775 $(TMPDIR)/$(VERNAME)/BasiliskII
	cd $(TMPDIR); lha a $@ $(VERNAME)
	mv $(TMPDIR)/$@ .
	rm -rf $(TMPDIR)

#
# Binary archive for BeOS/ppc
#
beosppc: $(BEOSPPCARCHIVE)

$(BEOSPPCARCHIVE): $(SRCS) $(DOCS) src/BeOS/obj.ppc/BasiliskII
	-rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	mkdir $(TMPDIR)/$(VERNAME)
	cp $(DOCS) $(TMPDIR)/$(VERNAME)
	cp src/BeOS/obj.ppc/BasiliskII $(TMPDIR)/$(VERNAME)
	mimeset -f $(TMPDIR)
	cd $(TMPDIR); zip -ry $@ $(VERNAME)/
	mv $(TMPDIR)/$@ .
	rm -rf $(TMPDIR)

#
# Binary archive for BeOS/x86
#
beosx86: $(BEOSX86ARCHIVE)

$(BEOSX86ARCHIVE): $(SRCS) $(DOCS) src/BeOS/obj.x86/BasiliskII
	-rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	mkdir $(TMPDIR)/$(VERNAME)
	cp $(DOCS) $(TMPDIR)/$(VERNAME)
	cp src/BeOS/obj.x86/BasiliskII $(TMPDIR)/$(VERNAME)
	mimeset -f $(TMPDIR)
	cd $(TMPDIR); zip -ry $@ $(VERNAME)/
	mv $(TMPDIR)/$@ .
	rm -rf $(TMPDIR)

#
# Binary archive for MacOS X
#
macosx: $(MACOSXARCHIVE)

$(MACOSXARCHIVE): $(SRCS) $(DOCS) src/MacOSX/build/BasiliskII.app
	-rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	mkdir $(TMPDIR)/$(VERNAME)
	cp $(DOCS) $(TMPDIR)/$(VERNAME)
	cp -pr src/MacOSX/build/BasiliskII.app $(TMPDIR)/$(VERNAME)
	cd $(TMPDIR); tar -czvf $@ $(VERNAME)/
	mv $(TMPDIR)/$@ .
	rm -rf $(TMPDIR)

=== src/Unix/Linux/NetDriver/Makefile ===
# Linux makefile for sheep_net driver

## System specific configuration
CC = cc
CPPFLAGS = -I. -I/usr/src/linux/include
CFLAGS = -O2 -Wall -D__KERNEL__ -DMODULE -D_LOOSE_KERNEL_NAMES
ASFLAGS =
LDFLAGS =
LIBS =
KERNDIR = /lib/modules/$(shell uname -r)

## Files
OBJS = sheep_net.o

## Rules
sheep_net.o: sheep_net.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) sheep_net.c

dev:
	mknod /dev/sheep_net c 10 198

install: sheep_net.o
	install -d $(KERNDIR)/misc
	install -m 644 sheep_net.o $(KERNDIR)/misc

clean:
	-rm $(OBJS)

dep depend:
	makedepend $(CPPFLAGS) -Y *.c

# DO NOT DELETE

## basilisk2 0.9.20070407

=== src/BeOS/SheepNet/Makefile ===
## BeOS Generic Makefile v2.1 ##

## Fill in this file to specify the project being created, and the referenced
## makefile-engine will do all of the hard work for you.  This handles both
## Intel and PowerPC builds of the BeOS.

## Application Specific Settings ---------------------------------------------

# specify the name of the binary
NAME= sheep_net

# specify the type of binary
#	APP:	Application
#	SHARED:	Shared library or add-on
#	STATIC:	Static library archive
#	DRIVER: Kernel Driver
TYPE= SHARED

#	add support for new Pe and Eddie features
#	to fill in generic makefile

#%{
# @src->@ 

#	specify the source files to use
#	full paths or paths relative to the makefile can be included
# 	all files, regardless of directory, will have their object
#	files created in the common object directory.
#	Note that this means this makefile will not work correctly
#	if two source files with the same name (source.c or source.cpp)
#	are included from different directories.  Also note that spaces
#	in folder names do not work well with this makefile.
SRCS= sheep_net.cpp

#	specify the resource files to use
#	full path or a relative path to the resource file can be used.
RSRCS= 

# @<-src@ 
#%}

#	end support for Pe and Eddie

#	specify additional libraries to link against
#	there are two acceptable forms of library specifications
#	-	if your library follows the naming pattern of:
#		libXXX.so or libXXX.a you can simply specify XXX
#		library: libbe.so entry: be
#		
#	- 	if your library does not follow the standard library
#		naming scheme you need to specify the path to the library
#		and it's name
#		library: my_lib.a entry: my_lib.a or path/my_lib.a
LIBS= netdev

#	specify additional paths to directories following the standard
#	libXXX.so or libXXX.a naming scheme.  You can specify full paths
#	or paths relative to the makefile.  The paths included may not
#	be recursive, so include all of the paths where libraries can
#	be found.  Directories where source files are found are
#	automatically included.
LIBPATHS= 

#	additional paths to look for system headers
#	thes use the form: #include <header>
#	source file directories are NOT auto-included here
SYSTEM_INCLUDE_PATHS = 

#	additional paths to look for local headers
#	thes use the form: #include "header"
#	source file directories are automatically included
LOCAL_INCLUDE_PATHS = 

#	specify the level of optimization that you desire
#	NONE, SOME, FULL
OPTIMIZE= FULL

#	specify any preprocessor symbols to be defined.  The symbols will not
#	have their values set automatically; you must supply the value (if any)
#	to use.  For example, setting DEFINES to "DEBUG=1" will cause the
#	compiler option "-DDEBUG=1" to be used.  Setting DEFINES to "DEBUG"
#	would pass "-DDEBUG" on the compiler's command line.
DEFINES= 

#	specify special warning levels
#	if unspecified default warnings will be used
#	NONE = supress all warnings
#	ALL = enable all warnings
WARNINGS = 

#	specify whether image symbols will be created
#	so that stack crawls in the debugger are meaningful
#	if TRUE symbols will be created
SYMBOLS = 

#	specify debug settings
#	if TRUE will allow application to be run from a source-level
#	debugger.  Note that this will disable all optimzation.
DEBUGGER = 

#	specify additional compiler flags for all files
COMPILER_FLAGS =

#	specify additional linker flags
LINKER_FLAGS =


## include the makefile-engine
include /boot/develop/etc/makefile-engine

install: $(TARGET)
	cp $(TARGET) /boot/beos/system/add-ons/net_server/$(NAME)

uninstall:
	rm /boot/beos/system/add-ons/net_server/$(NAME)

=== src/Unix/Linux/NetDriver/Makefile ===
# Linux makefile for sheep_net driver
KERNEL_DIR	= /lib/modules/$(shell uname -r)
KERNEL_SOURCE	= $(KERNEL_DIR)/build
LV		:= $(shell test -f $(KERNEL_SOURCE)/Rules.make && echo 24 || echo 26)
MP		:= $(shell test -f $(KERNEL_SOURCE)/Rules.make && echo "o" || echo "ko")

ifeq ($(LV),26)
# Kernel 2.6

obj-m = sheep_net.o

sheep_net.ko: sheep_net.c
	$(MAKE) -C $(KERNEL_SOURCE) M=$$PWD modules

clean:
	$(MAKE) -C $(KERNEL_SOURCE) M=$$PWD clean

else
# Kernel 2.4

## System specific configuration
CPPFLAGS = -I. -I$(KERNEL_SOURCE)/include
CFLAGS = -O2 -Wall -D__KERNEL__ -DMODULE -D_LOOSE_KERNEL_NAMES
ASFLAGS =
LDFLAGS =
LIBS =

## Files
OBJS = sheep_net.o

## Rules
sheep_net.o: sheep_net.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) sheep_net.c

clean:
	-rm $(OBJS)

dep depend:
	makedepend $(CPPFLAGS) -Y *.c

endif

dev:
	mknod /dev/sheep_net c 10 198

install: sheep_net.$(MP)
	install -d $(KERNEL_DIR)/misc
	install -m 644 sheep_net.$(MP) $(KERNEL_DIR)/misc
	depmod -a

# DO NOT DELETE

## basilisk2 0.9.20120331

=== src/BeOS/Makefile ===
## BeOS Generic Makefile v2.1 ##

## Fill in this file to specify the project being created, and the referenced
## makefile-engine will do all of the hard work for you.  This handles both
## Intel and PowerPC builds of the BeOS.

## Application Specific Settings ---------------------------------------------

# specify the name of the binary
NAME= BasiliskII

# specify the type of binary
#	APP:	Application
#	SHARED:	Shared library or add-on
#	STATIC:	Static library archive
#	DRIVER: Kernel Driver
TYPE= APP

#	add support for new Pe and Eddie features
#	to fill in generic makefile

#%{
# @src->@ 

#	specify the source files to use
#	full paths or paths relative to the makefile can be included
# 	all files, regardless of directory, will have their object
#	files created in the common object directory.
#	Note that this means this makefile will not work correctly
#	if two source files with the same name (source.c or source.cpp)
#	are included from different directories.  Also note that spaces
#	in folder names do not work well with this makefile.
MACHINE=$(shell uname -m)
ifeq ($(MACHINE), BePC)
	CPUSRCS = ../uae_cpu/basilisk_glue.cpp ../uae_cpu/memory.cpp ../uae_cpu/newcpu.cpp \
	    ../uae_cpu/readcpu.cpp ../uae_cpu/fpu/fpu_x86.cpp cpustbl.cpp cpudefs.cpp cpufast.s
else
#	CPUSRCS = ../powerrom_cpu/powerrom_cpu.cpp
	CPUSRCS = ../uae_cpu/basilisk_glue.cpp ../uae_cpu/newcpu.cpp \
	    ../uae_cpu/readcpu.cpp ../uae_cpu/fpu/fpu_uae.cpp cpustbl.cpp cpudefs.cpp cpuemu.cpp
endif
SRCS = ../main.cpp main_beos.cpp ../prefs.cpp ../prefs_items.cpp prefs_beos.cpp \
    prefs_editor_beos.cpp sys_beos.cpp ../rom_patches.cpp ../slot_rom.cpp \
    ../rsrc_patches.cpp ../emul_op.cpp ../macos_util.cpp ../xpram.cpp \
    xpram_beos.cpp ../timer.cpp timer_beos.cpp clip_beos.cpp ../adb.cpp \
    ../serial.cpp serial_beos.cpp ../ether.cpp ether_beos.cpp ../sony.cpp \
    ../disk.cpp ../cdrom.cpp ../scsi.cpp scsi_beos.cpp ../video.cpp \
    video_beos.cpp ../audio.cpp audio_beos.cpp ../extfs.cpp extfs_beos.cpp \
    ../user_strings.cpp user_strings_beos.cpp about_window.cpp \
    $(CPUSRCS)
		
#	specify the resource files to use
#	full path or a relative path to the resource file can be used.
RSRCS= 

# @<-src@ 
#%}

#	end support for Pe and Eddie

#	specify additional libraries to link against
#	there are two acceptable forms of library specifications
#	-	if your library follows the naming pattern of:
#		libXXX.so or libXXX.a you can simply specify XXX
#		library: libbe.so entry: be
#		
#	- 	if your library does not follow the standard library
#		naming scheme you need to specify the path to the library
#		and it's name
#		library: my_lib.a entry: my_lib.a or path/my_lib.a
LIBS=be game media device textencoding tracker net
		
#	specify additional paths to directories following the standard
#	libXXX.so or libXXX.a naming scheme.  You can specify full paths
#	or paths relative to the makefile.  The paths included may not
#	be recursive, so include all of the paths where libraries can
#	be found.  Directories where source files are found are
#	automatically included.
LIBPATHS= 

#	additional paths to look for system headers
#	thes use the form: #include <header>
#	source file directories are NOT auto-included here
SYSTEM_INCLUDE_PATHS =

#	additional paths to look for local headers
#	thes use the form: #include "header"
#	source file directories are automatically included
LOCAL_INCLUDE_PATHS = ../include SheepDriver SheepNet

#	specify the level of optimization that you desire
#	NONE, SOME, FULL
OPTIMIZE= FULL

#	specify any preprocessor symbols to be defined.  The symbols will not
#	have their values set automatically; you must supply the value (if any)
#	to use.  For example, setting DEFINES to "DEBUG=1" will cause the
#	compiler option "-DDEBUG=1" to be used.  Setting DEFINES to "DEBUG"
#	would pass "-DDEBUG" on the compiler's command line.
DEFINES= 

#	specify special warning levels
#	if unspecified default warnings will be used
#	NONE = supress all warnings
#	ALL = enable all warnings
WARNINGS = 

#	specify whether image symbols will be created
#	so that stack crawls in the debugger are meaningful
#	if TRUE symbols will be created
SYMBOLS = 

#	specify debug settings
#	if TRUE will allow application to be run from
#	a source-level debugger
DEBUGGER = 

#	specify additional compiler flags for all files
COMPILER_FLAGS =

#	specify additional linker flags
LINKER_FLAGS =


## include the makefile-engine
include /boot/develop/etc/makefile-engine


#	special handling of UAE CPU engine
$(OBJ_DIR)/%.o : %.s
	$(CC) $(INCLUDES) $(CFLAGS) -c $< -o $@
$(OBJ_DIR)/cpuopti: $(OBJ_DIR)/cpuopti.o
	$(CC) $(LDFLAGS) -o $(OBJ_DIR)/cpuopti $(OBJ_DIR)/cpuopti.o
$(OBJ_DIR)/build68k: $(OBJ_DIR)/build68k.o
	$(CC) $(LDFLAGS) -o $(OBJ_DIR)/build68k $(OBJ_DIR)/build68k.o
$(OBJ_DIR)/gencpu: $(OBJ_DIR)/gencpu.o $(OBJ_DIR)/readcpu.o $(OBJ_DIR)/cpudefs.o
	$(CC) $(LDFLAGS) -o $(OBJ_DIR)/gencpu $(OBJ_DIR)/gencpu.o $(OBJ_DIR)/readcpu.o $(OBJ_DIR)/cpudefs.o
cpudefs.cpp: $(OBJ_DIR)/build68k ../uae_cpu/table68k
	$(OBJ_DIR)/build68k <../uae_cpu/table68k >cpudefs.cpp
cpuemu.cpp: $(OBJ_DIR)/gencpu
	$(OBJ_DIR)/gencpu
cpustbl.cpp: cpuemu.cpp
cputbl.h: cpuemu.cpp
cpufast.s: cpuemu.cpp $(OBJ_DIR)/cpuopti
	$(CXX) $(INCLUDES) -S $(CFLAGS) $< -o cputmp.s
	$(OBJ_DIR)/cpuopti <cputmp.s >$@ || mv cputmp.s $@
	rm -f cputmp.s

streifenfrei:
	-rm -f $(OBJ_DIR)/gencpu $(OBJ_DIR)/build68k $(OBJ_DIR)/cpuopti
	-rm -f cpuemu.cpp cpudefs.cpp cputmp.s cpufast*.s cpustbl.cpp cputbl.h

=== debian/changelog ===
basilisk2 (0.9.20120331-4) unstable; urgency=low

  [ Giulio Paci ]
  * Simplify patch 0002_fix_compilation_on_armel.patch.
  * Update copyright file: Drop patch file Files sections.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.

  [ Stephen Kitt ]
  * Add myself to uploaders at Jonas' invitation.
  * Build with gcc 5. Closes: #798767.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Sep 2015 20:52:48 +0200

basilisk2 (0.9.20120331-3) unstable; urgency=low

  [ Giulio Paci ]
  * Fix compilation on arm architectures.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Aug 2012 16:19:41 +0200

basilisk2 (0.9.20120331-2) unstable; urgency=low

  [ Giulio Paci ]
  * Check installed binaries before installing alternatives in postinst.
  * Remove manpages file.
  * Do not install jit flavour binary by default.
  * Update rules with conditional installation of jit flavour files.
  * Fix compilation on kfreebsd architectures.

  [ Jonas Smedegaard ]
  * Really add Jérémy Lal as uploader and permit Debian Maintainers to
    upload.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 23:17:58 +0200

basilisk2 (0.9.20120331-1) unstable; urgency=low

  * Upstream update

  [ Jonas Smedegaard ]
  * Drop local CDBS snippets: All included in main cdbs now.
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.
    Stop build-depending on quilt, patchutils.
  * Add full licensing header to debian/rules, and update copyright
    years.
  * Add README.source (and drop outdated README.cdbs-tweaks).
  * Refresh patches with shortening quilt options --no-index
    --no-timestamps -pab, and fix their path prefix.
  * Rewrite copyright file using draft DEP-5 format.
  * Update control file Vcs-* fields: Packaging moved to Git.
  * Ease building with git-buildpackage:
    + Add gbp.conf, enabling pristine-tar and tag signing.
    + Git-ignore quilt .pc dir.
  * Bump debhelper compat level to 7.
  * Update Vcs-Browser field to use anonscm.debian.org.
  * Add Giulio Paci and Jérémy Lal as uploaders, and permit Debian
    Maintainers to upload.

  [ Jérémy Lal ]
  * Drop patch 1002 to fix capitalized flag: corrected upstream.

  [ Giulio Paci ]
  * Restart package development.
    Closes: #662175.
  * Add patches to fix compilation and documentation.
  * Provide JIT flavor on supported architectures (i386 and amd64).
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Adjust licenses now clarified/improved upstream.
  * Update ChangeLog.cvs.
  * Enable CDBS autogeneration of autotools files.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 May 2012 02:08:30 +0200

basilisk2 (0.9.20070407-4) unstable; urgency=low

  * Update copyright-check cdbs snippet to parse licensecheck using perl:
    + No longer randomly drops newlines
    + More compact hint file (and ordered more like wiki-proposed new copyright
      syntax).
    + No longer ignore files without copyright.
  * Update copyright_hints.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Mar 2008 19:33:01 +0100

basilisk2 (0.9.20070407-3) unstable; urgency=low

  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Rewrite debian/copyright to conform to proposed new format at
    http://wiki.debian.org/Proposals/CopyrightFormat .
  * Update local cdbs snippets:
    + Major improvements to update-tarball (but none of them affect this
      current package).
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop bts.mk (we are happy to receive bugreports also for unofficial
      rebuilds of this package, and by accident it wasn't enabled anyway).
    + Drop buildcore.mk override.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL directly
      instead when needed.
    + Update debian/README.cdbs-tweaks to no longer mention buildcore.mk
      override.
  * Improve duplicate build-dependency cleanup in debian/rules.
  * Change section definition in menu file: Apps -> Applications.
  * Bump up standards-version to 3.7.2 (no additional changes needed).
  * Bump dephelper compatibility level to 5.
  * Semi-auto-update debian/control to update build-dependencies:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Feb 2008 22:11:48 +0100

basilisk2 (0.9.20070407-2) unstable; urgency=low

  * Add patch to (hopefully) build also on architectures without sigsegv
    recovery support.
  * Add local cdbs snippet upstream-tarball.mk (in preparation for
    upstream perhaps actually releasing their code as tarball some day).
  * Resolve all build-dependencies using cdbs, and cleanup duplicates.
  * Properly avoid installing tunconfig twice (we want it as example
    script only).
  * Quote only copyrights and licenses in debian/copyright (not GPL
    addresses that lintian complains about).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 May 2007 19:12:50 +0200

basilisk2 (0.9.20070407-1) unstable; urgency=low

  * New upstream CVS snapshot.
    + Bugfixes and improvements for 64bit host archs.
  * Update watch file to use (not so) new upstream homepage.
  * Update local cdbs snippets:
    + Silence BTS redirections for official Debian suites.
    + Overload buildcore.mk (instead of a separately named rule) to
      conditionally enable auto-update.
    + Check copyrights in prebuild (in clean it may choke on not yet
      cleaned stuff), and make sure it runs only once.
    + List non-binary files affected if discovering new copyrights.
    + Fix buildinfo rule to only run once.
    + Include (in source only) documentation for the snippets in


=== debian/control ===
Source: basilisk2
Section: contrib/otherosfs
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Giulio Paci <giuliopaci@gmail.com>,
 Jérémy Lal <kapouer@melix.org>,
 Stephen Kitt <skitt@debian.org>
DM-Upload-Allowed: yes
Build-Depends: cdbs,
 autotools-dev,
 devscripts,
 automake1.11,
 autoconf,
 debhelper,
 dh-buildinfo,
 libgtk2.0-dev,
 libesd0-dev,
 libsdl-dev,
 libxxf86dga-dev,
 libxxf86vm-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/basilisk2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/basilisk2.git
Homepage: http://basilisk.cebix.net/

Package: basilisk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 68k Macintosh emulator
 Basilisk II is an Open Source 68k Macintosh emulator. That is, it enables
 you to run 68k MacOS software on you computer, even if you are using a
 different operating system. However, you still need a copy of MacOS and
 a Macintosh ROM image to use Basilisk II.
 .
 Some features of Basilisk II:
  - Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5)
    or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1),
    depending on the ROM being used
  - Color video display
  - CD quality sound output
  - Floppy disk driver (only 1.44MB disks supported)
  - Driver for HFS partitions and hardfiles
  - CD-ROM driver with basic audio functions
  - Easy file exchange with the host OS via a "Host Directory Tree" icon
    on the Mac desktop
  - Ethernet driver
  - Serial drivers
  - SCSI Manager (old-style) emulation
  - Emulates extended ADB keyboard and 3-button mouse
  - Uses UAE 68k emulation or (under AmigaOS and NetBSD/m68k) real 68k
    processor

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003-2008, 2010, 2012 Jonas Smedegaard <dr@jones.dk>
# Copyright © 2012, Giulio Paci <giuliopaci@gmail.com>
# Description: Main Debian packaging script for Basilisk II
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_SRCDIR = src/Unix
DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = nojit

# add JIT compiler when supported
DEB_MAKE_FLAVORS += $(if $(filter amd64 i386,$(DEB_HOST_ARCH)),jit)

DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_ACLOCAL_ARGS = -I m4
DEB_AUTO_UPDATE_AUTOHEADER = 2.68
DEB_AUTO_UPDATE_AUTOCONF = 2.68

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = http://basilisk.cebix.net/downloads
DEB_UPSTREAM_PACKAGE = BasiliskII_src_15012002
DEB_UPSTREAM_TARBALL_VERSION := $(shell perl -e '$$_ = "$(DEB_UPSTREAM_VERSION)"; s/^(.*)\.(\d{4})(\d{2})(\d{2})$$/$$4$$3$$2/; print;')
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_PACKAGE)_$(cdbs_upstream_tarball_version_mangled)
#DEB_UPSTREAM_TARBALL_MD5 =

DEB_CONFIGURE_USER_FLAGS = --disable-rpath --enable-sdl-video --enable-sdl-audio
DEB_CONFIGURE_USER_FLAGS += $(if $(filter debug,$(DEB_BUILD_OPTIONS)),,--without-mon)
DEB_CONFIGURE_FLAGS_jit = --enable-jit-compiler

DEB_MAKE_EXTRA_ARGS = "APP_FLAVOR=$(cdbs_make_curflavor)"
DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp-@FLAVOR@

# Suppress excess and seemingly non-fatal warnings
#  * Upstream included -fno-merge-constants but seems unneeded
warning-flags = -Wno-unused-variable -Wno-unused-label -Wno-unused-function -Wno-missing-braces -Wno-parentheses
includedirs = -I$(CURDIR)/$(DEB_SRCDIR)
CFLAGS += $(warning-flags) $(includedirs)
CXXFLAGS += $(warning-flags) $(includedirs)

DEB_INSTALL_DOCS_ALL += TECH
DEB_INSTALL_CHANGELOGS_ALL = debian/ChangeLog.cvs
DEB_INSTALL_MANPAGES_ALL = debian/tmp-nojit/usr/share/man/man1/BasiliskII-nojit.1
# Add jit flavour files when compiled
DEB_INSTALL_MANPAGES_ALL += $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/share/man/man1/BasiliskII-jit.1)
DEB_DH_INSTALL_ARGS = $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/bin/BasiliskII-jit usr/bin)

DEB_INSTALL_EXAMPLES_basilisk2 = $(DEB_SRCDIR)/Linux/* $(DEB_SRCDIR)/tunconfig

# tunconfig will be installed as example file only
binary-post-install/basilisk2::
	rm -f debian/$(cdbs_curpkg)/usr/share/BasiliskII/tunconfig

clean::
	rm -fr $(DEB_MAKE_FLAVORS:%=debian/tmp-%)
	rm -f  src/Unix/aclocal.m4 src/Unix/config.h.in src/Unix/configure

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libgtk2.0-dev, libesd0-dev, libsdl-dev, libxxf86dga-dev, libxxf86vm-dev

## basilisk2 0.9.20180101

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,8 @@
 	-rm -rf $(TMPDIR)
 	mkdir $(TMPDIR)
 	cd $(TMPDIR); cvs export -D "$(ISODATE)" BasiliskII
-	cd $(TMPDIR)/BasiliskII/src/Unix; aclocal; autoheader; autoconf
+	cd $(TMPDIR)/BasiliskII/src/Unix && NO_CONFIGURE=1 ./autogen.sh
+	cd $(TMPDIR)/BasiliskII/src/Windows && NO_CONFIGURE=1 ../Unix/autogen.sh
 	rm $(TMPDIR)/BasiliskII/Makefile
 	mv $(TMPDIR)/BasiliskII $(TMPDIR)/$(VERNAME)
 	cd $(TMPDIR); tar cfz $@ $(VERNAME)
@@ -56,7 +57,7 @@
 # RPMs (source and binary)
 #
 rpm: $(SRCARCHIVE)
-	rpm -ta --clean $(SRCARCHIVE)
+	rpmbuild -ta --clean $(SRCARCHIVE)
 
 #
 # Binary archive for AmigaOS

=== src/BeOS/Makefile ===
--- 
+++ 
@@ -97,7 +97,7 @@
 #	to use.  For example, setting DEFINES to "DEBUG=1" will cause the
 #	compiler option "-DDEBUG=1" to be used.  Setting DEFINES to "DEBUG"
 #	would pass "-DDEBUG" on the compiler's command line.
-DEFINES= 
+DEFINES= FPU_X86 SIZEOF_FLOAT=4 SIZEOF_DOUBLE=8 SIZEOF_LONG_DOUBLE=10
 
 #	specify special warning levels
 #	if unspecified default warnings will be used
@@ -116,14 +116,14 @@
 DEBUGGER = 
 
 #	specify additional compiler flags for all files
-COMPILER_FLAGS =
+COMPILER_FLAGS = -fomit-frame-pointer -fno-PIC
 
 #	specify additional linker flags
 LINKER_FLAGS =
 
 
 ## include the makefile-engine
-include /boot/develop/etc/makefile-engine
+include /boot/system/develop/etc/makefile-engine
 
 
 #	special handling of UAE CPU engine

=== src/Unix/Linux/NetDriver/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 ifeq ($(LV),26)
 # Kernel 2.6
 
+KERNEL_DRIVER	= $(KERNEL_DIR)/kernel/drivers
 obj-m = sheep_net.o
 
 sheep_net.ko: sheep_net.c
@@ -26,6 +27,7 @@
 LIBS =
 
 ## Files
+KERNEL_DRIVER	= $(KERNEL_DIR)
 OBJS = sheep_net.o
 
 ## Rules
@@ -44,8 +46,8 @@
 	mknod /dev/sheep_net c 10 198
 
 install: sheep_net.$(MP)
-	install -d $(KERNEL_DIR)/misc
-	install -m 644 sheep_net.$(MP) $(KERNEL_DIR)/misc
+	install -d $(KERNEL_DRIVER)/misc
+	install -m 644 sheep_net.$(MP) $(KERNEL_DRIVER)/misc
 	depmod -a
 
 # DO NOT DELETE

=== debian/changelog ===
basilisk2 (0.9.20180101-1) unstable; urgency=medium

  * New upstream snapshot, merging all patches.
  * Install a desktop file and icon; thanks to Gabriel Ruiz for the
    initial patch! This also replaces the menu. Closes: #512895.
    LP: #309913.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 May 2018 23:19:33 +0200

basilisk2 (0.9.20120331-5) unstable; urgency=medium

  * Migrate to Salsa.
  * Update debian/copyright.
  * Refresh debian/control using cdbs, updating the build dependencies.
  * Drop obsolete “DM-Upload-Allowed”.
  * Document the use of full paths in postinst.
  * Build with debug information.
  * Override Lintian’s warning about the missing command in the menu (it’s
    an alternative).

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 May 2018 19:45:32 +0200

basilisk2 (0.9.20120331-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on armel/armhf/mips* by using ucontext_t instead
    of the removed struct ucontext. (Closes: #865172)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jan 2018 20:56:21 +0200

basilisk2 (0.9.20120331-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build without support for the obsolete esound. (Closes: #856075)
  * Use automake instead of automake1.11. (Closes: #865145)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Jan 2018 21:36:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Uploaders: Giulio Paci <giuliopaci@gmail.com>,
  Jérémy Lal <kapouer@melix.org>,
  Stephen Kitt <skitt@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.123~),
  autotools-dev,
- devscripts,
- automake1.11,
+ licensecheck,
+ automake,
  autoconf,
  debhelper,
  dh-buildinfo,
  libgtk2.0-dev,
- libesd0-dev,
  libsdl-dev,
+ libtinyxml2-dev,
  libxxf86dga-dev,
  libxxf86vm-dev
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/basilisk2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/basilisk2.git
+Vcs-Git: https://salsa.debian.org/debian/basilisk2.git
+Vcs-Browser: https://salsa.debian.org/debian/basilisk2
 Homepage: http://basilisk.cebix.net/
 
 Package: basilisk2

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 # add JIT compiler when supported
 DEB_MAKE_FLAVORS += $(if $(filter amd64 i386,$(DEB_HOST_ARCH)),jit)
 
-DEB_AUTO_UPDATE_ACLOCAL = 1.11
+DEB_AUTO_UPDATE_ACLOCAL = ,
 DEB_ACLOCAL_ARGS = -I m4
 DEB_AUTO_UPDATE_AUTOHEADER = 2.68
 DEB_AUTO_UPDATE_AUTOCONF = 2.68
@@ -59,17 +59,21 @@
 DEB_INSTALL_MANPAGES_ALL = debian/tmp-nojit/usr/share/man/man1/BasiliskII-nojit.1
 # Add jit flavour files when compiled
 DEB_INSTALL_MANPAGES_ALL += $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/share/man/man1/BasiliskII-jit.1)
-DEB_DH_INSTALL_ARGS = $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/bin/BasiliskII-jit usr/bin)
+DEB_DH_INSTALL_ARGS_ALL = $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/bin/BasiliskII-jit usr/bin)
 
 DEB_INSTALL_EXAMPLES_basilisk2 = $(DEB_SRCDIR)/Linux/* $(DEB_SRCDIR)/tunconfig
+
+binary-install/basilisk2::
+	dh_install debian/basilisk2.desktop usr/share/applications
+	dh_install debian/basilisk2.xpm usr/share/pixmaps
 
 # tunconfig will be installed as example file only
 binary-post-install/basilisk2::
 	rm -f debian/$(cdbs_curpkg)/usr/share/BasiliskII/tunconfig
 
 clean::
-	rm -fr $(DEB_MAKE_FLAVORS:%=debian/tmp-%)
-	rm -f  src/Unix/aclocal.m4 src/Unix/config.h.in src/Unix/configure
+	rm -fr $(DEB_MAKE_FLAVORS:%=debian/tmp-%) build
+	rm -f  src/Unix/aclocal.m4 src/Unix/config.h.in src/Unix/configure src/Unix/tinyxml2.*
 
 # Needed by upstream build process
-CDBS_BUILD_DEPENDS += , libgtk2.0-dev, libesd0-dev, libsdl-dev, libxxf86dga-dev, libxxf86vm-dev
+CDBS_BUILD_DEPENDS += , libgtk2.0-dev, libsdl-dev, libtinyxml2-dev, libxxf86dga-dev, libxxf86vm-dev

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
opts="uversionmangle=s/^(\d{2})(\d{2})(\d{4})$/0.9.$3$2$1/" \
	http://basilisk.cebix.net/ (?:.*/)?BasiliskII_src_(.*).tar.gz

## basilisk2 0.9.20220710

=== SheepShaver/Makefile ===
# Makefile for creating SheepShaver distributions
# Written in 1999 by Christian Bauer <Christian.Bauer@uni-mainz.de>

VERSION := 2.3
VERNAME := SheepShaver-$(VERSION)
CVSDATE := $(shell date "+%Y%m%d")

SRCARCHIVE := $(VERNAME)-$(CVSDATE).tar.gz

TMPDIR := $(shell date +/tmp/build%m%s)
ISODATE := $(shell date "+%Y-%m-%d %H:%M")
DOCS := NEWS
SRCS := src

# Where Basilisk II directory can be found
B2_TOPDIR := ../BasiliskII

default: help

help:
	@echo "This top-level Makefile is for creating SheepShaver distributions."
	@echo "The following targets are available:"
	@echo "  tarball  source tarball ($(SRCARCHIVE))"
	@echo "  links    create links to Basilisk II sources"

clean:
	-rm -f $(SRCARCHIVE)

#
# Source tarball
#
tarball: $(SRCARCHIVE)

$(SRCARCHIVE): $(SRCS) $(DOCS)
	-rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	cd $(TMPDIR); cvs export -D "$(ISODATE)" BasiliskII SheepShaver
	cd $(TMPDIR)/SheepShaver/src/Unix && mkdir Darwin
	cd $(TMPDIR)/SheepShaver && make links
	cd $(TMPDIR)/SheepShaver/src/Unix && NO_CONFIGURE=1 ./autogen.sh
	cd $(TMPDIR)/SheepShaver/src/Windows && NO_CONFIGURE=1 ../Unix/autogen.sh
	rm $(TMPDIR)/SheepShaver/Makefile
	cp -aL $(TMPDIR)/SheepShaver $(TMPDIR)/$(VERNAME)
	cd $(TMPDIR); tar cfz $@ $(VERNAME)
	mv $(TMPDIR)/$@ .
	rm -rf $(TMPDIR)

#
# Links to Basilisk II sources
#
links:
	@list='adb.cpp audio.cpp cdrom.cpp disk.cpp extfs.cpp pict.c \
	       prefs.cpp scsi.cpp sony.cpp xpram.cpp \
	       include/adb.h include/audio.h include/audio_defs.h \
	       include/cdrom.h include/clip.h include/debug.h include/disk.h \
	       include/extfs.h include/extfs_defs.h include/pict.h \
	       include/prefs.h include/scsi.h include/serial.h \
	       include/serial_defs.h include/sony.h include/sys.h \
	       include/timer.h include/xpram.h \
	       BeOS/audio_beos.cpp BeOS/extfs_beos.cpp BeOS/scsi_beos.cpp \
	       BeOS/serial_beos.cpp BeOS/sys_beos.cpp BeOS/timer_beos.cpp \
	       BeOS/xpram_beos.cpp BeOS/SheepDriver BeOS/SheepNet \
	       CrossPlatform/sigsegv.h CrossPlatform/sigsegv.cpp CrossPlatform/vm_alloc.h CrossPlatform/vm_alloc.cpp \
               CrossPlatform/video_vosf.h CrossPlatform/video_blit.h CrossPlatform/video_blit.cpp \
	       Unix/audio_oss_esd.cpp Unix/bincue_unix.cpp Unix/bincue_unix.h \
	       Unix/vhd_unix.cpp \
	       Unix/extfs_unix.cpp Unix/serial_unix.cpp \
	       Unix/sshpty.h Unix/sshpty.c Unix/strlcpy.h Unix/strlcpy.c \
	       Unix/sys_unix.cpp Unix/timer_unix.cpp Unix/xpram_unix.cpp \
	       Unix/semaphore.h Unix/posix_sem.cpp Unix/config.sub Unix/config.guess Unix/m4 \
	       Unix/keycodes Unix/tunconfig Unix/clip_unix.cpp Unix/Irix/audio_irix.cpp \
	       Unix/Linux/scsi_linux.cpp Unix/Linux/NetDriver Unix/ether_unix.cpp \
	       Unix/rpc.h Unix/rpc_unix.cpp Unix/ldscripts \
	       Unix/tinyxml2.h Unix/tinyxml2.cpp Unix/disk_unix.h \
	       Unix/disk_sparsebundle.cpp Unix/Darwin/mkstandalone \
	       Unix/Darwin/lowmem.c Unix/Darwin/pagezero.c Unix/Darwin/testlmem.sh \
	       dummy/audio_dummy.cpp dummy/clip_dummy.cpp dummy/serial_dummy.cpp \
	       dummy/prefs_editor_dummy.cpp dummy/scsi_dummy.cpp SDL slirp \
	       MacOSX/sys_darwin.cpp MacOSX/clip_macosx.cpp MacOSX/clip_macosx64.mm \
	       MacOSX/macos_util_macosx.h Unix/cpr.sh \
	       MacOSX/extfs_macosx.cpp Windows/clip_windows.cpp \
	       MacOSX/MacOSX_sound_if.cpp MacOSX/MacOSX_sound_if.h \
	       MacOSX/AudioBackEnd.cpp MacOSX/AudioBackEnd.h \
	       MacOSX/AudioDevice.cpp MacOSX/AudioDevice.h MacOSX/audio_macosx.cpp \
	       MacOSX/utils_macosx.mm MacOSX/utils_macosx.h \
	       Windows/cd_defs.h Windows/cdenable Windows/extfs_windows.cpp \
	       Windows/posix_emu.cpp Windows/posix_emu.h Windows/sys_windows.cpp \
	       Windows/timer_windows.cpp Windows/util_windows.cpp \
	       Windows/util_windows.h Windows/xpram_windows.cpp \
	       Windows/kernel_windows.h Windows/kernel_windows.cpp \
	       Windows/serial_windows.cpp Windows/router Windows/b2ether \
	       Windows/ether_windows.h Windows/ether_windows.cpp \
	       Windows/serial_windows.cpp Windows/prefs_editor_gtk.cpp \
	       uae_cpu/compiler/codegen_x86.h'; \
	PREFIX="../"; case $(B2_TOPDIR) in /*) PREFIX="";; esac; \
	for i in $$list; do \
	  if test "$$i" != "\\"; then \
	    echo $$i; o=$$i; \
	    case $$i in *codegen_x86.h) o=kpx_cpu/src/cpu/jit/x86/codegen_x86.h;; esac; \
	    SUB=`echo $$o | sed 's;[^/]*/;../;g' | sed 's;[^/]*$$;;'` ;\
	    ln -sf "$$PREFIX$$SUB$(B2_TOPDIR)/src/$$i" src/$$o; \
	  fi; \
	done; \
	ln -sf ../../../../../SheepShaver/src/Unix/config.h $(B2_TOPDIR)/src/Unix/Linux/NetDriver/config.h

=== BasiliskII/src/AmigaOS/Makefile ===
# AmigaOS makefile for Basilisk II (GeekGadgets tool chain)

## System specific configuration
CC = gcc
CXX = c++
CXXFLAGS = -g -O1 -noixemul -m68020 -msmall-code -Wno-multichar
CPPFLAGS = -I../include -I../native_cpu -I.
DEFS =
LDFLAGS = -noixemul
LIBS = /gg/lib/libnix/swapstack.o
AS = PhxAss
ASFLAGS = OPT ! INCPATH GG:os-include FPU=1

## Files
SRCS = ../main.cpp main_amiga.cpp ../prefs.cpp ../prefs_items.cpp \
    prefs_amiga.cpp prefs_editor_amiga.cpp sys_amiga.cpp ../rom_patches.cpp \
    ../slot_rom.cpp ../rsrc_patches.cpp ../emul_op.cpp \
    ../macos_util.cpp ../xpram.cpp xpram_amiga.cpp ../timer.cpp \
    timer_amiga.cpp clip_amiga.cpp ../adb.cpp ../serial.cpp \
    serial_amiga.cpp ../ether.cpp ether_amiga.cpp ../sony.cpp ../disk.cpp \
    ../cdrom.cpp ../scsi.cpp scsi_amiga.cpp ../video.cpp video_amiga.cpp \
    ../audio.cpp audio_amiga.cpp ../extfs.cpp extfs_amiga.cpp \
    ../user_strings.cpp user_strings_amiga.cpp asm_support.asm
APP = BasiliskII

## Rules
.PHONY: clean distclean
.SUFFIXES:
.SUFFIXES: .c .cpp .asm .o .h

all: $(APP)

OBJ_DIR = obj
$(OBJ_DIR)::
	@[ -d $(OBJ_DIR) ] || mkdir $(OBJ_DIR) > /dev/null 2>&1

define SRCS_LIST_TO_OBJS
	$(addprefix $(OBJ_DIR)/, $(addsuffix .o, $(foreach file, $(SRCS), \
	$(basename $(notdir $(file))))))
endef
OBJS = $(SRCS_LIST_TO_OBJS)

SRC_PATHS += $(sort $(foreach file, $(SRCS), $(dir $(file))))
VPATH :=
VPATH += $(addprefix :, $(subst  ,:, $(filter-out $($(subst, :, ,$(VPATH))), $(SRC_PATHS))))

$(APP): $(OBJ_DIR) $(OBJS)
	$(CXX) -o $(APP) $(LDFLAGS) $(LIBS) $(OBJS)

clean:
	rm -f $(APP) $(OBJ_DIR)/* *~ *.bak obj.0000.*

distclean: clean
	rm -rf $(OBJ_DIR)

$(OBJ_DIR)/%.o : %.cpp
	$(CXX) $(CPPFLAGS) $(DEFS) $(CXXFLAGS) -c $< -o $@
$(OBJ_DIR)/%.o : %.asm
	$(AS) $(ASFLAGS) $< TO $(OBJ_DIR)/$*.obj
	hunk2aout $(OBJ_DIR)/$*.obj >/dev/null
	mv obj.0000.* $@

#-------------------------------------------------------------------------
# DO NOT DELETE THIS LINE -- make depend depends on it.

=== BasiliskII/src/BeOS/SheepDriver/Makefile ===
## BeOS Generic Makefile v2.1 ##

## Fill in this file to specify the project being created, and the referenced
## makefile-engine will do all of the hard work for you.  This handles both
## Intel and PowerPC builds of the BeOS.

## Application Specific Settings ---------------------------------------------

# specify the name of the binary
NAME= sheep

# specify the type of binary
#	APP:	Application
#	SHARED:	Shared library or add-on
#	STATIC:	Static library archive
#	DRIVER: Kernel Driver
TYPE= DRIVER

#	add support for new Pe and Eddie features
#	to fill in generic makefile

#%{
# @src->@ 

#	specify the source files to use
#	full paths or paths relative to the makefile can be included
# 	all files, regardless of directory, will have their object
#	files created in the common object directory.
#	Note that this means this makefile will not work correctly
#	if two source files with the same name (source.c or source.cpp)
#	are included from different directories.  Also note that spaces
#	in folder names do not work well with this makefile.
SRCS= sheep_driver.c

#	specify the resource files to use
#	full path or a relative path to the resource file can be used.
RSRCS= 

# @<-src@ 
#%}

#	end support for Pe and Eddie

#	specify additional libraries to link against
#	there are two acceptable forms of library specifications
#	-	if your library follows the naming pattern of:
#		libXXX.so or libXXX.a you can simply specify XXX
#		library: libbe.so entry: be
#		
#	- 	if your library does not follow the standard library
#		naming scheme you need to specify the path to the library
#		and it's name
#		library: my_lib.a entry: my_lib.a or path/my_lib.a
LIBS= 

#	specify additional paths to directories following the standard
#	libXXX.so or libXXX.a naming scheme.  You can specify full paths
#	or paths relative to the makefile.  The paths included may not
#	be recursive, so include all of the paths where libraries can
#	be found.  Directories where source files are found are
#	automatically included.
LIBPATHS= 

#	additional paths to look for system headers
#	thes use the form: #include <header>
#	source file directories are NOT auto-included here
SYSTEM_INCLUDE_PATHS = 

#	additional paths to look for local headers
#	thes use the form: #include "header"
#	source file directories are automatically included
LOCAL_INCLUDE_PATHS = 

#	specify the level of optimization that you desire
#	NONE, SOME, FULL
OPTIMIZE= FULL

#	specify any preprocessor symbols to be defined.  The symbols will not
#	have their values set automatically; you must supply the value (if any)
#	to use.  For example, setting DEFINES to "DEBUG=1" will cause the
#	compiler option "-DDEBUG=1" to be used.  Setting DEFINES to "DEBUG"
#	would pass "-DDEBUG" on the compiler's command line.
DEFINES= 

#	specify special warning levels
#	if unspecified default warnings will be used
#	NONE = supress all warnings
#	ALL = enable all warnings
WARNINGS = 

#	specify whether image symbols will be created
#	so that stack crawls in the debugger are meaningful
#	if TRUE symbols will be created
SYMBOLS = 

#	specify debug settings
#	if TRUE will allow application to be run from a source-level
#	debugger.  Note that this will disable all optimzation.
DEBUGGER = 

#	specify additional compiler flags for all files
COMPILER_FLAGS =

#	specify additional linker flags
LINKER_FLAGS =


## include the makefile-engine
include /boot/develop/etc/makefile-engine

install: $(TARGET)
	cp $(TARGET) /boot/home/config/add-ons/kernel/drivers/bin
	ln -sf /boot/home/config/add-ons/kernel/drivers/bin/$(NAME) /boot/home/config/add-ons/kernel/drivers/dev/$(NAME)

uninstall:
	rm /boot/home/config/add-ons/kernel/drivers/bin/$(NAME)
	rm /boot/home/config/add-ons/kernel/drivers/dev/$(NAME)

=== debian/changelog ===
basilisk2 (0.9.20220710-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  * fix watch file syntax
  * update copyright info:
    + update paths
    + update coverage
    + bump license for packaging to GPL-3+
    + extend lintian overrides
  * update source helper tool copyright-check
  * update build rules: update paths
  * update patch:
    + rename to match patch naming micro-policy
    + update paths; update DEP-3 headers
  * build-depend on libvdeplug-dev
  * use SDL 2 (not 1.2);
    build-depend on libsdl2-dev
    (not libsdl1.2-compat-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 17:17:08 +0100

basilisk2 (0.9.20180101-2) unstable; urgency=medium

  [ Debian Janitor ]
  * use secure URI in Homepage field
  * use debhelper compatibility level 10
  * set upstream metadata fields:
    Bug-Database Bug-Submit

  [ Jonas Smedegaard ]
  * update watch file:
    + track GitHub source, in git mode
    + use file format 4
    + mention gbp --uscan in usage comment
    + use substitution strings
  * update copyright info:
    + use GitHub source URI
    + use license SPDX shortnames AML HPND-sell-variant
    + list licenses
      BSD-2-clause~Gasparovski BSD-3-clause~Regents Stas_Khirman
    + clarify GPL licensing,
      and merge identically licensed upstream files sections
    + use fields License-Grant Reference
    + sort copyright holders, and merge duplicates
  * simplify rules;
    stop build-depend on licensecheck dh-buildinfo
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * regenerate upstream changelog,
    and rename as ChangeLog.git;
    add source helper tool ChangeLog.git-redo
  * update lintian overrides
  * build-depend on libsdl1.2-compat-dev (not libsdl-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 14:07:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,19 @@
  Stephen Kitt <skitt@debian.org>
 Build-Depends: cdbs (>= 0.4.123~),
  autotools-dev,
- licensecheck,
  automake,
  autoconf,
- debhelper,
- dh-buildinfo,
+ debhelper (>= 10~),
  libgtk2.0-dev,
- libsdl-dev,
+ libsdl2-dev,
  libtinyxml2-dev,
  libxxf86dga-dev,
- libxxf86vm-dev
+ libxxf86vm-dev,
+ libvdeplug-dev,
 Standards-Version: 3.9.3
 Vcs-Git: https://salsa.debian.org/debian/basilisk2.git
 Vcs-Browser: https://salsa.debian.org/debian/basilisk2
-Homepage: http://basilisk.cebix.net/
+Homepage: https://basilisk.cebix.net/
 
 Package: basilisk2
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_SRCDIR = BasiliskII/src/Unix
DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = nojit

# add JIT compiler when supported
DEB_MAKE_FLAVORS += $(if $(filter amd64 i386,$(DEB_HOST_ARCH)),jit)

DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_ACLOCAL_ARGS = -I m4
DEB_AUTO_UPDATE_AUTOHEADER = 2.68
DEB_AUTO_UPDATE_AUTOCONF = 2.68

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_USER_FLAGS = --disable-rpath

# SDL allows use of pulseaudio (and pipewire) without gone libesd headers
DEB_CONFIGURE_USER_FLAGS = --enable-sdl-video --enable-sdl-audio --with-sdl2

DEB_CONFIGURE_USER_FLAGS += $(if $(filter debug,$(DEB_BUILD_OPTIONS)),,--without-mon)
DEB_CONFIGURE_FLAGS_jit = --enable-jit-compiler

DEB_MAKE_EXTRA_ARGS = "APP_FLAVOR=$(cdbs_make_curflavor)"
DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp-@FLAVOR@

# Suppress excess and seemingly non-fatal warnings
#  * Upstream included -fno-merge-constants but seems unneeded
warning-flags = -Wno-unused-variable -Wno-unused-label -Wno-unused-function -Wno-missing-braces -Wno-parentheses
includedirs = -I$(CURDIR)/$(DEB_SRCDIR)
CFLAGS += $(warning-flags) $(includedirs)
CXXFLAGS += $(warning-flags) $(includedirs)

DEB_INSTALL_DOCS_ALL += BasiliskII/TECH
DEB_INSTALL_CHANGELOGS_ALL = debian/ChangeLog.git
DEB_INSTALL_MANPAGES_ALL = debian/tmp-nojit/usr/share/man/man1/BasiliskII-nojit.1
# Add jit flavour files when compiled
DEB_INSTALL_MANPAGES_ALL += $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/share/man/man1/BasiliskII-jit.1)
DEB_DH_INSTALL_ARGS_ALL = $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/bin/BasiliskII-jit usr/bin)

DEB_INSTALL_EXAMPLES_basilisk2 = $(DEB_SRCDIR)/Linux/* $(DEB_SRCDIR)/tunconfig

binary-install/basilisk2::
	dh_install debian/basilisk2.desktop usr/share/applications
	dh_install debian/basilisk2.xpm usr/share/pixmaps

# tunconfig will be installed as example file only
binary-post-install/basilisk2::
	rm -f debian/$(cdbs_curpkg)/usr/share/BasiliskII/tunconfig

clean::
	rm -fr $(DEB_MAKE_FLAVORS:%=debian/tmp-%) build
	rm -f  $(addprefix $(DEB_SRCDIR),/aclocal.m4 /config.h.in /configure /tinyxml2.*)

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=0.9.%cd \
https://github.com/cebix/macemu HEAD

## basilisk2 0.9.20230516

=== debian/changelog ===
basilisk2 (0.9.20230516-2) unstable; urgency=medium

  * Build-depend on libmpfr-dev on ARM, it’s required there.

 -- Stephen Kitt <skitt@debian.org>  Sun, 16 Jul 2023 23:11:47 +0200

basilisk2 (0.9.20230516-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file and copyright info: switch to kanjitalk755 fork
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jun 2023 16:09:47 +0200
